﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Drawing;
using Docs.Excel;

namespace RichText
{
    class Program
    {
        static void Main(string[] args)
        {
            //Read .xlsx file.
            ExcelWorkbook Wbook = ExcelWorkbook.ReadXLSX(@"..\..\..\ExcelRIchText.xlsx");
            ExcelCellCollection Cells = Wbook.Worksheets[0].Cells;

            // Read and change richtext
            string st = Cells[0, 0].RichString[0].RichString;
            Cells[0,0].RichString[0] = new RichTextStruct(st, new ExcelCellFont("Arial", 11, Color.Blue));

            // Write a new richtext strings
            Cells[1,0].RichString.Add("Bold ", new ExcelCellFont("Arial", 11, Color.Black, true, false, false, TypeOfScript.None, TypeOfUnderline.None));
            Cells[1,0].RichString.Add("string", new ExcelCellFont("Arial", 11, Color.Black));
            Cells[2,0].RichString.Add("Colored ", new ExcelCellFont("Arial", 11, Color.Red));
            Cells[2,0].RichString.Add("text", new ExcelCellFont("Arial", 11, Color.Black));

            //Write .xls file.
            Wbook.WriteXLS(@"..\..\..\Result.xls");

            //Write .xlsx file.
            Wbook.WriteXLSX(@"..\..\..\Result.xlsx");

            //Open specified file in MS Excel.
            System.Diagnostics.Process.Start(@"..\..\..\Result.xlsx");
        }
    }
}
